You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     po...@freebsd.org
Last committer: m...@freebsd.org
Ident:          $FreeBSD: head/devel/monotone-viz/Makefile 418021 2016-07-04 
13:24:21Z mat $
Log URL:        
http://beefy10.nyi.freebsd.org/data/110i386-default/447812/logs/monotone-viz-1.0.2_7.log
Build URL:      
http://beefy10.nyi.freebsd.org/build.html?mastername=110i386-default&build=447812
Log:

====>> Building devel/monotone-viz
build started at Sun Aug 13 00:46:30 UTC 2017
port directory: /usr/ports/devel/monotone-viz
building for: FreeBSD 110i386-default-job-05 11.0-RELEASE-p12 FreeBSD 
11.0-RELEASE-p12 i386
maintained by: po...@freebsd.org
Makefile ident:      $FreeBSD: head/devel/monotone-viz/Makefile 418021 
2016-07-04 13:24:21Z mat $
Poudriere version: 3.1.19-61-ga8829ba9
Host OSVERSION: 1200033
Jail OSVERSION: 1100122
Job Id: 05

---Begin Environment---
SHELL=/bin/csh
UNAME_p=i386
UNAME_m=i386
OSVERSION=1100122
UNAME_v=FreeBSD 11.0-RELEASE-p12
UNAME_r=11.0-RELEASE-p12
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/110i386-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=monotone-viz-1.0.2_7
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/110i386-default/ref/.p/pool
MASTERNAME=110i386-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.19-61-ga8829ba9
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--
--without-local-lablgtk --prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake XDG_DATA_HOME=/wrkdirs/usr/ports/devel/monotone-viz/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/monotone-viz/work  
HOME=/wrkdirs/usr/ports/devel/monotone-viz/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh CONFIG_SITE=/usr/ports/Templates/config.site 
lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/monotone-viz/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/monotone-viz/work  
HOME=/wrkdirs/usr/ports/devel/monotone-viz/work TMPDIR="/tmp" NO_PIE=yes 
MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  
LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe 
-fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644" 
 BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OCAML_SITELIBDIR="lib/ocaml/site-lib"
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/monotone-viz"
EXAMPLESDIR="share/examples/monotone-viz"
DATADIR="share/monotone-viz"
WWWDIR="www/monotone-viz"
ETCDIR="etc/monotone-viz"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/monotone-viz
DOCSDIR=/usr/local/share/doc/monotone-viz
EXAMPLESDIR=/usr/local/share/examples/monotone-viz
WWWDIR=/usr/local/www/monotone-viz
ETCDIR=/usr/local/etc/monotone-viz
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
ARCH=i386
CONFIGURE_MAX_CMD_LEN=262144
OPSYS=FreeBSD
OSREL=11.0
OSVERSION=1100122
PYTHONBASE=/usr/local
UID=0
_JAVA_OS_LIST_REGEXP=native|linux
_JAVA_VENDOR_LIST_REGEXP=openjdk|oracle|sun
_JAVA_VERSION_LIST_REGEXP=1.6|1.7|1.8|1.6\+|1.7\+|1.8\+
_OSRELEASE=11.0-RELEASE-p12
#### Misc Poudriere ####
GID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  524288
stack size              (kbytes, -s)  65536
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>   NOTICE:

The monotone-viz port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port

===>  License GPLv2+ accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   monotone-viz-1.0.2_7 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.10.1.txz
[110i386-default-job-05] Installing pkg-1.10.1...
[110i386-default-job-05] Extracting pkg-1.10.1: .......... done
===>   monotone-viz-1.0.2_7 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of monotone-viz-1.0.2_7
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>   NOTICE:

The monotone-viz port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port

===>  License GPLv2+ accepted by the user
===> Fetching all distfiles required by monotone-viz-1.0.2_7 for building
===========================================================================
=======================<phase: checksum       >============================
===>   NOTICE:

The monotone-viz port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port

===>  License GPLv2+ accepted by the user
===> Fetching all distfiles required by monotone-viz-1.0.2_7 for building
=> SHA256 Checksum OK for monotone-viz-1.0.2.tar.gz.
=> SHA256 Checksum OK for monotone-viz_1.0.2-4.diff.gz.
===========================================================================
=======================<phase: extract-depends>============================
===>   monotone-viz-1.0.2_7 depends on file: /usr/local/bin/ocamlc - not found
===>   Installing existing package /packages/All/ocaml-4.02.3.txz
<snip>
The ocaml-lablgl port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
Message from ocaml-lablgtk2-2.18.3_1:
===>   NOTICE:

The ocaml-lablgtk2 port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
===>   monotone-viz-1.0.2_7 depends on executable: lablgtk2 - found
===>   Returning to build of monotone-viz-1.0.2_7
===>   monotone-viz-1.0.2_7 depends on file: /usr/local/bin/ocamlc - found
===>   monotone-viz-1.0.2_7 depends on file: /usr/local/bin/camlp4 - not found
===>   Installing existing package /packages/All/ocaml-camlp4-4.02.1+1_1.txz
[110i386-default-job-05] Installing ocaml-camlp4-4.02.1+1_1...
[110i386-default-job-05] Extracting ocaml-camlp4-4.02.1+1_1: .......... done
===>   monotone-viz-1.0.2_7 depends on file: /usr/local/bin/camlp4 - found
===>   Returning to build of monotone-viz-1.0.2_7
===>   monotone-viz-1.0.2_7 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.2.1_1.txz
[110i386-default-job-05] Installing gmake-4.2.1_1...
[110i386-default-job-05] Extracting gmake-4.2.1_1: .......... done
===>   monotone-viz-1.0.2_7 depends on executable: gmake - found
===>   Returning to build of monotone-viz-1.0.2_7
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for monotone-viz-1.0.2_7
configure: loading site script /usr/ports/Templates/config.site
checking for ocamlc... ocamlc
OCaml version is 4.02.3
OCaml library path is /usr/local/lib/ocaml
checking for ocamlopt... ocamlopt
checking for ocamlc.opt... ocamlc.opt
checking for ocamlopt.opt... ocamlopt.opt
checking for ocamldep... ocamldep
checking for ocamlmktop... ocamlmktop
checking for ocamlmklib... ocamlmklib
checking for ocamldoc... ocamldoc
checking for ocamllex... ocamllex
checking for ocamllex.opt... ocamllex.opt
checking for ocamlyacc... ocamlyacc
checking for camlp4... camlp4
checking for camlp4o... camlp4o
checking lablgtk directory... /usr/local/lib/ocaml/site-lib/lablgtk2
checking GnomeCanvas support... found
Using the native code compiler
configure: creating ./config.status
config.status: creating config.make
===========================================================================
=======================<phase: build          >============================
===>  Building for monotone-viz-1.0.2_7
gmake[1]: Entering directory 
'/wrkdirs/usr/ports/devel/monotone-viz/work/monotone-viz-1.0.2'
ocamllex.opt dot_lexer.mll
37 states, 351 transitions, table size 1626 bytes
ocamlyacc dot_parser.mly 
ocamllex.opt basic_io_lexer.mll
19 states, 385 transitions, table size 1654 bytes
gmake[1]: mtn: Command not found
sed -e 's/@REVISION@//' -e 's/@VERSION@/1.0.2/' < version.ml.in > version.ml
making deps ...
ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib glib/gspawn.mli
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c 
glib/gspawn.ml
ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib glib/giochannel.mli
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c 
glib/giochannel.ml
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c 
glib/viz_gmisc.ml
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c 
glib/gpattern.ml
ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib viz_misc.mli
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c viz_misc.ml
File "viz_misc.ml", line 132, characters 12-25:
Warning 3: deprecated: String.create
Use Bytes.create instead.
File "viz_misc.ml", line 196, characters 10-23:
Warning 3: deprecated: String.create
Use Bytes.create instead.
File "viz_misc.ml", line 200, characters 4-29:
Warning 3: deprecated: String.set
Use Bytes.set instead.
File "viz_misc.ml", line 202, characters 4-33:
Warning 3: deprecated: String.set
Use Bytes.set instead.
ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib basic_io_lexer.mli
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c 
basic_io_lexer.ml
ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib revision.mli
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib -pp camlp4o -c 
revision.ml
ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib viz_types.mli
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c viz_types.ml
ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib q.mli
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c q.ml
ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib dot_types.mli
ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib dot_parser.mli
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c 
dot_parser.ml
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c dot_lexer.ml
ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib subprocess.mli
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c 
subprocess.ml
File "subprocess.ml", line 95, characters 11-24:
Warning 3: deprecated: String.create
Use Bytes.create instead.
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c 
components.ml
ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib automate.mli
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c automate.ml
File "automate.ml", line 76, characters 45-55:
Warning 3: deprecated: String.set
Use Bytes.set instead.
File "automate.ml", line 229, characters 13-26:
Warning 3: deprecated: String.create
Use Bytes.create instead.
ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib monotone.mli
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c monotone.ml
File "monotone.ml", line 112, characters 12-25:
Warning 3: deprecated: String.create
Use Bytes.create instead.
File "monotone.ml", line 117, characters 12-26:
Warning 3: deprecated: String.set
Use Bytes.set instead.
File "monotone.ml", line 118, characters 6-17:
Warning 3: deprecated: String.set
Use Bytes.set instead.
ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib agraph.mli
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c agraph.ml
ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib autocolor.mli
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c autocolor.ml
ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib viz_style.mli
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib -pp camlp4o -c 
viz_style.ml
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c version.ml
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c icon.ml
ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib app_types.mli
ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib ui.mli
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c ui.ml
ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib unidiff.mli
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c unidiff.ml
File "unidiff.ml", line 176, characters 10-21:
Warning 3: deprecated: String.copy
File "unidiff.ml", line 179, characters 9-34:
Warning 3: deprecated: String.set
Use Bytes.set instead.
File "unidiff.ml", line 183, characters 10-21:
Warning 3: deprecated: String.copy
File "unidiff.ml", line 192, characters 1-29:
Warning 3: deprecated: String.set
Use Bytes.set instead.
File "unidiff.ml", line 195, characters 1-12:
Warning 3: deprecated: String.fill
Use Bytes.fill instead.
ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib view.mli
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c view.ml
File "view.ml", line 728, characters 12-25:
Warning 3: deprecated: String.create
Use Bytes.create instead.
ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib query.mli
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c query.ml
ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib app.mli
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c app.ml
ocamlopt.opt  -I /usr/local/lib/ocaml/site-lib/lablgtk2 -I glib  -c main.ml
File "main.ml", line 64, characters 18-36:
Warning 3: deprecated: Lazy.lazy_from_fun
Use Lazy.from_fun instead.
cd glib ; /usr/local/bin/ocamlrun /usr/local/lib/ocaml/site-lib/lablgtk2/varcc 
-static gspawn_tags.var
cd glib ; ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -ccopt 
"-I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include -I/usr/local/include/cairo -I/usr/local/include/pixman-1 
-I/usr/local/include/freetype2 -I/usr/local/include/libdrm 
-I/usr/local/include/libpng16 -I/usr/local/include/harfbuzz 
-I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -D_THREAD_SAFE 
-pthread "  ocaml-gspawn.c
cd glib ; /usr/local/bin/ocamlrun /usr/local/lib/ocaml/site-lib/lablgtk2/varcc 
-static giochannel_tags.var
cd glib ; ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -ccopt 
"-I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include -I/usr/local/include/cairo -I/usr/local/include/pixman-1 
-I/usr/local/include/freetype2 -I/usr/local/include/libdrm 
-I/usr/local/include/libpng16 -I/usr/local/include/harfbuzz 
-I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -D_THREAD_SAFE 
-pthread "  ocaml-giochannel.c
cd glib ; ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -ccopt 
"-I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include -I/usr/local/include/cairo -I/usr/local/include/pixman-1 
-I/usr/local/include/freetype2 -I/usr/local/include/libdrm 
-I/usr/local/include/libpng16 -I/usr/local/include/harfbuzz 
-I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -D_THREAD_SAFE 
-pthread "  ocaml-misc.c
cd glib ; ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -ccopt 
"-I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include -I/usr/local/include/cairo -I/usr/local/include/pixman-1 
-I/usr/local/include/freetype2 -I/usr/local/include/libdrm 
-I/usr/local/include/libpng16 -I/usr/local/include/harfbuzz 
-I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -D_THREAD_SAFE 
-pthread "  ocaml-gdate.c
ocaml-gdate.c:13:3: warning: 'g_date_set_time' is deprecated 
[-Wdeprecated-declarations]
  g_date_set_time (&date, current.tv_sec);
  ^
/usr/local/include/glib-2.0/glib/gdate.h:201:14: note: 'g_date_set_time' has 
been explicitly marked deprecated here
void         g_date_set_time              (GDate       *date,
             ^
1 warning generated.
cd glib ; ocamlc.opt -I /usr/local/lib/ocaml/site-lib/lablgtk2 -ccopt 
"-I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include 
-I/usr/local/include -I/usr/local/include/cairo -I/usr/local/include/pixman-1 
-I/usr/local/include/freetype2 -I/usr/local/include/libdrm 
-I/usr/local/include/libpng16 -I/usr/local/include/harfbuzz 
-I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -D_THREAD_SAFE 
-pthread "  ocaml-gpattern.c
cd . ; ocamlc.opt -ccopt "-I/usr/local/include/libgnomecanvas-2.0 
-I/usr/local/include/libart-2.0 -I/usr/local/include/gtk-2.0 
-I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 
-I/usr/local/lib/glib-2.0/include -I/usr/local/include 
-I/usr/local/include/cairo -I/usr/local/include/pixman-1 
-I/usr/local/include/freetype2 -I/usr/local/include/libdrm 
-I/usr/local/include/libpng16 -I/usr/local/include/harfbuzz 
-I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 
-I/usr/local/include/gail-1.0 -D_THREAD_SAFE -pthread "  gnomecanvas_hack.c
gnomecanvas_hack.c:58:15: warning: 'pango_ft2_font_map_create_context' is 
deprecated [-Wdeprecated-declarations]
    context = pango_ft2_font_map_create_context (PANGO_FT2_FONT_MAP (fmap));
              ^
/usr/local/include/pango-1.0/pango/pangoft2.h:114:15: note: 
'pango_ft2_font_map_create_context' has been explicitly marked deprecated here
PangoContext *pango_ft2_font_map_create_context         (PangoFT2FontMap        
 *fontmap);
              ^
1 warning generated.
ar crs lib3rdparty.a glib/ocaml-gspawn.o glib/ocaml-giochannel.o 
glib/ocaml-misc.o glib/ocaml-gdate.o glib/ocaml-gpattern.o gnomecanvas_hack.o
ocamlopt.opt -o monotone-viz -I /usr/local/lib/ocaml/site-lib/lablgtk2 str.cmxa 
lablgtk.cmxa gtkInit.cmx lablgnomecanvas.cmxa  glib/gspawn.cmx 
glib/giochannel.cmx glib/viz_gmisc.cmx glib/gpattern.cmx viz_misc.cmx 
viz_types.cmx q.cmx dot_lexer.cmx dot_parser.cmx basic_io_lexer.cmx 
revision.cmx subprocess.cmx components.cmx automate.cmx monotone.cmx agraph.cmx 
autocolor.cmx viz_style.cmx version.cmx icon.cmx ui.cmx unidiff.cmx view.cmx 
query.cmx app.cmx main.cmx lib3rdparty.a
gmake[1]: Leaving directory 
'/wrkdirs/usr/ports/devel/monotone-viz/work/monotone-viz-1.0.2'
pnmtopng: Error reading magic number from Netpbm image stream.  Most often, 
this means your input file is empty.
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/monotone-viz
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to